Subject: Re: [PATCH]: altq HFSC port

From: Patrick McHardy <[email-masked]>
Date: Mon, 26 Jan 2004 23:27:06 +0100

Patrick McHardy wrote:

>
> This mail from Alan states that BSD without advertising clause linked
> with GPL ends up as GPL anyways, so I'm not sure if there is a problem.
> http://www.ussg.iu.edu/hypermail/linux/kernel/0110.2/0924.html
> I'm going to look for some more information before bothering the
> authors with License stuff again.
>
I've tried to get some more information and clear up my misconceptions, I can
of course not just relicense the existing code. Since mixing GPL and BSD without
advertising clause is not a problem if the resulting code _as a whole_ is GPL, I
think I only have to mark the pre-existing code being subject to the original
license. The code as a whole is not dual-licensed, so MODULE_LICENSE stays GPL.

Does that sound reasonable ?

Best regards,
Patrick